package com.ruoyi.system.app.lessionmanager.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.domain.SysDept;
import com.ruoyi.system.app.lessionmanager.service.AppLessionManagerService;
import com.ruoyi.system.domain.TLession;
import com.ruoyi.system.service.ITLessionService;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static com.ruoyi.common.core.web.domain.AjaxResult.success;

@RestController
@RequestMapping("/app/AppLessionManagerController")
public class AppLessionManagerController {

    @Resource
    AppLessionManagerService appLessionManagerService;

    @Resource
    ITLessionService itLessionService;

    @RequestMapping("list")
    public AjaxResult list(@RequestBody TLession tLession) {
        List<TLession> lessions = itLessionService.selectTLessionList(tLession);
        return success(lessions);
    }

    @RequestMapping("add")
    public AjaxResult add(@RequestBody TLession tLession){
        return appLessionManagerService.addLession(tLession);
    }

    @RequestMapping("edit")
    public AjaxResult edit(@RequestBody TLession tLession){
        return appLessionManagerService.editLession(tLession);
    }
}
