package com.ruoyi.system.app.main.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.app.main.domain.AppSignVO;
import com.ruoyi.system.app.main.service.AppMainService;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/app/AppMainController")
public class AppMainController {

    @Resource
    AppMainService appMainService;

    @RequestMapping("signin")
    public AjaxResult signin(@RequestBody AppSignVO vo) {
        return appMainService.signin(vo);
    }
    @RequestMapping("init")
    public AjaxResult init(){
        return appMainService.init();
    }



}
