package com.ruoyi.system.app.my.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.app.my.service.AppMyLessionService;
import com.ruoyi.system.domain.TLession;
import com.ruoyi.system.mapper.TLessionMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppMyLessionServiceImpl implements AppMyLessionService {

    @Resource
    TLessionMapper tLessionMapper;

    @Override
    public AjaxResult init() {
        TLession lession = new TLession();
        lession.setDeptId(SecurityUtils.getLoginUser().getSysUser().getDeptId());
        List list =  tLessionMapper.selectTLessionList(lession);
        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("lessions",list);
        return ajaxResult;
    }
}
