package com.ruoyi.system.app.my.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.app.my.service.AppMyResourceService;
import com.ruoyi.system.domain.TDeptResourceMap;
import com.ruoyi.system.domain.TResource;
import com.ruoyi.system.mapper.TDeptResourceMapMapper;
import com.ruoyi.system.mapper.TResourceMapper;
import org.apache.poi.ss.formula.functions.T;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppMyResourceServiceImpl implements AppMyResourceService {

    @Resource
    TResourceMapper tResourceMapper;

    @Resource
    TDeptResourceMapMapper tDeptResourceMapMapper;


    @Override
    public AjaxResult init() {
        TDeptResourceMap tDeptResourceMap = new TDeptResourceMap();
        tDeptResourceMap.setDeptId(SecurityUtils.getLoginUser().getSysUser().getDeptId());
        List list = tDeptResourceMapMapper.selectTDeptResourceMapList(tDeptResourceMap);
        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("resource_list", list);
        return ajaxResult;
    }
}
