package com.ruoyi.system.app.signinmanager.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.app.signinmanager.domain.StatisticsByLessionVO;
import com.ruoyi.system.app.signinmanager.service.AppSigninManagerService;
import com.ruoyi.system.domain.TSignin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/app/AppSigninManagerController")
public class AppSigninManagerController {

    @Resource
    AppSigninManagerService appSigninManagerService;

    @RequestMapping("statisticsByLession")
    public AjaxResult statisticsByLession(@RequestBody StatisticsByLessionVO vo) {
        return appSigninManagerService.statisticsByLession(vo);
    }

}
