package com.ruoyi.system.app.signinmanager.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.app.signinmanager.domain.StatisticsByLessionVO;
import com.ruoyi.system.app.signinmanager.mapper.AppSigninManagerMapper;
import com.ruoyi.system.app.signinmanager.service.AppSigninManagerService;
import com.ruoyi.system.domain.TLession;
import com.ruoyi.system.domain.TSignin;
import com.ruoyi.system.mapper.TLessionMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class AppSigninManagerServiceImpl implements AppSigninManagerService {

    @Resource
    TLessionMapper tLessionMapper;
    @Resource
    AppSigninManagerMapper appSigninManagerMapper;


    @Override
    public AjaxResult statisticsByLession(StatisticsByLessionVO vo) {
        //查询这个班所有的课程
        TLession tLession = new TLession();
        tLession.setDeptId(vo.getDeptId());
        List<TLession> lessionList = tLessionMapper.selectTLessionList(tLession);
        //
        List result = new ArrayList();
        for(int i=0;i<lessionList.size();i++){
            TLession lession = lessionList.get(i);
            StatisticsByLessionVO pa = new StatisticsByLessionVO();
            pa.setDeptId(vo.getDeptId());
            pa.setLessionId(lession.getId());
            List r = appSigninManagerMapper.statisticsByLession(pa);
            result.add(r);
        }
        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("statisticsByLession",result);
        ajaxResult.put("lessionList",lessionList);
        return ajaxResult;
    }
}
