package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 班级资源映射对象 t_dept_resource_map
 * 
 * @author ruoyi
 * @date 2024-10-23
 */
public class TDeptResourceMap extends BaseEntity
{

    String[] resourceSelection;

    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 班级id */
    @Excel(name = "班级id")
    private Long deptId;

    /** 资源id */
    @Excel(name = "资源id")
    private String resourceId;

    /** 资料名称 */
    @Excel(name = "资料名称")
    private String resourceName;

    /** 顺序 */
    @Excel(name = "顺序")
    private Long seq;

    /** 资料类型 */
    @Excel(name = "资料类型")
    private String resourceType;

    /** 资料类型名称 */
    @Excel(name = "资料类型名称")
    private String resourceTypeName;

    /** 资源路径 */
    @Excel(name = "资源路径")
    private String resourceUrl;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setResourceId(String resourceId) 
    {
        this.resourceId = resourceId;
    }

    public String getResourceId() 
    {
        return resourceId;
    }
    public void setResourceName(String resourceName) 
    {
        this.resourceName = resourceName;
    }

    public String getResourceName() 
    {
        return resourceName;
    }
    public void setSeq(Long seq) 
    {
        this.seq = seq;
    }

    public Long getSeq() 
    {
        return seq;
    }
    public void setResourceType(String resourceType) 
    {
        this.resourceType = resourceType;
    }

    public String getResourceType() 
    {
        return resourceType;
    }
    public void setResourceTypeName(String resourceTypeName) 
    {
        this.resourceTypeName = resourceTypeName;
    }

    public String getResourceTypeName() 
    {
        return resourceTypeName;
    }
    public void setResourceUrl(String resourceUrl) 
    {
        this.resourceUrl = resourceUrl;
    }

    public String getResourceUrl() 
    {
        return resourceUrl;
    }

    public String[] getResourceSelection() {
        return resourceSelection;
    }

    public void setResourceSelection(String[] resourceSelection) {
        this.resourceSelection = resourceSelection;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("resourceId", getResourceId())
            .append("resourceName", getResourceName())
            .append("seq", getSeq())
            .append("resourceType", getResourceType())
            .append("resourceTypeName", getResourceTypeName())
            .append("resourceUrl", getResourceUrl())
            .toString();
    }
}
