package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 可成信息对象 t_lession
 * 
 * @author ruoyi
 * @date 2024-02-06
 */
public class TLession extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String lessionName;

    /** 课程时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "课程时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lessionTime;

    /** 备注 */
    @Excel(name = "备注")
    private String content;

    /** 课程状态 */
    @Excel(name = "课程状态")
    private String lessionState;

    /** 签到码 */
    @Excel(name = "签到码")
    private String checkCode;

    @Excel(name = "班级id")
    private Long deptId;
    @Excel(name = "班级名称")
    private String deptName;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setLessionName(String lessionName) 
    {
        this.lessionName = lessionName;
    }

    public String getLessionName() 
    {
        return lessionName;
    }
    public void setLessionTime(Date lessionTime) 
    {
        this.lessionTime = lessionTime;
    }

    public Date getLessionTime() 
    {
        return lessionTime;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setLessionState(String lessionState) 
    {
        this.lessionState = lessionState;
    }

    public String getLessionState() 
    {
        return lessionState;
    }
    public void setCheckCode(String checkCode) 
    {
        this.checkCode = checkCode;
    }

    public String getCheckCode() 
    {
        return checkCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("lessionName", getLessionName())
            .append("lessionTime", getLessionTime())
            .append("content", getContent())
            .append("lessionState", getLessionState())
            .append("checkCode", getCheckCode())
            .toString();
    }
}
