package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 资源对象 t_resource
 * 
 * @author ruoyi
 * @date 2024-10-22
 */
public class TResource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 材料名称 */
    @Excel(name = "材料名称")
    private String resourceName;

    /** 所属类型 */
    @Excel(name = "所属类型")
    private String resourceType;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String resourceTypeName;

    /** 地址 */
    @Excel(name = "地址")
    private String url;

    /** 简介 */
    @Excel(name = "简介")
    private String content;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setResourceName(String resourceName) 
    {
        this.resourceName = resourceName;
    }

    public String getResourceName() 
    {
        return resourceName;
    }
    public void setResourceType(String resourceType)
    {
        this.resourceType = resourceType;
    }

    public String getResourceType()
    {
        return resourceType;
    }
    public void setResourceTypeName(String resourceTypeName) 
    {
        this.resourceTypeName = resourceTypeName;
    }

    public String getResourceTypeName() 
    {
        return resourceTypeName;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("resourceName", getResourceName())
            .append("resourceType", getResourceType())
            .append("resourceTypeName", getResourceTypeName())
            .append("url", getUrl())
            .append("content", getContent())
            .toString();
    }
}
