package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TLession;

/**
 * 可成信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-06
 */
public interface TLessionMapper 
{
    /**
     * 查询可成信息
     * 
     * @param id 可成信息主键
     * @return 可成信息
     */
    public TLession selectTLessionById(String id);

    /**
     * 查询可成信息列表
     * 
     * @param tLession 可成信息
     * @return 可成信息集合
     */
    public List<TLession> selectTLessionList(TLession tLession);

    /**
     * 新增可成信息
     * 
     * @param tLession 可成信息
     * @return 结果
     */
    public int insertTLession(TLession tLession);

    /**
     * 修改可成信息
     * 
     * @param tLession 可成信息
     * @return 结果
     */
    public int updateTLession(TLession tLession);

    /**
     * 删除可成信息
     * 
     * @param id 可成信息主键
     * @return 结果
     */
    public int deleteTLessionById(String id);

    /**
     * 批量删除可成信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTLessionByIds(String[] ids);
}
