package com.ruoyi.system.app.my.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.my.domain.AppMyClassRebindVO;
import com.ruoyi.system.app.my.service.AppMyClassService;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/app/AppMyClassController")
public class AppMyClassController {

    @Resource
    AppMyClassService appMyClassService;

    @RequestMapping("init")
    public AjaxResult init() {
        return appMyClassService.init();
    }

    @RequestMapping("rebind")
    public AjaxResult rebind(@RequestBody AppMyClassRebindVO vo){
        return appMyClassService.rebind(vo);
    }

}
